ObjectOutputStream.PutField
Date: 2016-06-24

java.io

## Class ObjectOutputStream.PutField

- java.lang.Object
- - java.io.ObjectOutputStream.PutField

- Enclosing class:
    ObjectOutputStream

      public abstract static class ObjectOutputStream.PutField
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectOutputStream.PutField()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `put(String var0, boolean var1)`
    `abstract void` | `put(String var0, byte var1)`
    `abstract void` | `put(String var0, char var1)`
    `abstract void` | `put(String var0, double var1)`
    `abstract void` | `put(String var0, float var1)`
    `abstract void` | `put(String var0, int var1)`
    `abstract void` | `put(String var0, long var1)`
    `abstract void` | `put(String var0, Object var1)`
    `abstract void` | `put(String var0, short var1)`
    `abstract void` | `write(ObjectOutput var0)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectOutputStream.PutField

          public ObjectOutputStream.PutField()

  - ### Method Detail

    - #### put

          public abstract void put(String var0,
                 byte var1)

    - #### put

          public abstract void put(String var0,
                 char var1)

    - #### put

          public abstract void put(String var0,
                 double var1)

    - #### put

          public abstract void put(String var0,
                 float var1)

    - #### put

          public abstract void put(String var0,
                 int var1)

    - #### put

          public abstract void put(String var0,
                 long var1)

    - #### put

          public abstract void put(String var0,
                 Object var1)

    - #### put

          public abstract void put(String var0,
                 short var1)

    - #### put

          public abstract void put(String var0,
                 boolean var1)

    - #### write

          public abstract void write(ObjectOutput var0)
                              throws IOException

      Deprecated.
      Throws:
        `IOException`